package figure;

import java.util.*;
import java.io.*;

public class FigureStack
    extends Stack<Figure>
{
  public Figure push(Figure f)
  {
    if (f != null)
      super.push(f);
    return f;
  }

  public void printAll(PrintStream out)
  {
    while(!empty())
      out.println(pop().toString());
  }

}
