package figure;

public abstract class Quadrilater
    implements QuadrilaterInterface
{
  Point2D[] m_points;

  public Quadrilater(Point2D a, Point2D b, Point2D c, Point2D d)
  {
    m_points = new Point2D[]{a,b,c,d};
  }

  public double getDiag1()
  {
    return Point2D.dist(m_points[0], m_points[2]);
  }

  public double getDiag2()
  {
    return Point2D.dist(m_points[1], m_points[3]);
  }

  public void traslate(Point2D delta)
  {
    for (int i = 0; i < m_points.length; i++)
      m_points[i] = Point2D.add(m_points[i], delta);
  }

  public void print()
  {
    System.out.println("QUADRILATER:");
    for (int i = 0; i < m_points.length; i++)
      System.out.println("   " + m_points[i].toString());
  }

  public String toString()
  {
    String s = "QUADRILATER:\n";
    for (int i = 0; i < m_points.length; i++)
      s += "   " + m_points[i].toString() + "\n";
    return s;
  }

}
