package figure;

import java.io.*;

public class Square
    extends RegPoly
    implements QuadrilaterInterface
{
  public Square(Point2D p)
  {
    super(p, 4);
  }

  public double getApothem()
  {
    return 1/Math.sqrt(2);
  }

  public double getDiag1()
  {
    return 2;
  }

  public double getDiag2()
  {
    return getDiag1();
  }

  public static Square read()
      throws IOException
  {
    System.out.println("inserisci centro del quadrato:");
    Point2D p = Point2D.read();
    return new Square(p);
  }

}
